#include <stdio.h>
#include <stdlib.h>
#include <wiringPi.h>

unsigned const selectorPinNumber = 4;
int selectorPins[4] = {5, 6, 26, 27};

void setup_selector() {
  wiringPiSetupGpio();

  for (size_t i = 0; i < selectorPinNumber; ++i) {
    pinMode(selectorPins[i], INPUT);
    pullUpDnControl(selectorPins[i], PUD_DOWN);
  }
}

int get_selector_position() {
  for (size_t i = 0; i < selectorPinNumber; ++i) {
    if (digitalRead(selectorPins[i])) {
      return i;
    }
  }
  return -1;
}

void print_selector() {
  char modeStr[] = "0 | 0 | 0 | 0 \n";
  for (size_t i = 0; i < selectorPinNumber; ++i) {
    modeStr[i * 4] = digitalRead(selectorPins[i]) ? '1' : '0';
  }
  printf(modeStr);
}